from typing import Any
import polars as pl

class PyDataType:
    Boolean: PyDataType
    Int32: PyDataType
    Int64: PyDataType
    Float32: PyDataType
    Float64: PyDataType
    Date: PyDataType
    DateTime: PyDataType
    Time: PyDataType
    Utf8: PyDataType
    Other: PyDataType

class PyLogicalType:
    Boolean: PyLogicalType
    Categorical: PyLogicalType
    Date: PyLogicalType
    DateTime: PyLogicalType
    Id: PyLogicalType
    NaturalLanguage: PyLogicalType
    Number: PyLogicalType
    Other: PyLogicalType
    Time: PyLogicalType
    Null: PyLogicalType

class PyColumnSchema:
    id: str
    name: str
    dtype: PyDataType
    logical_type: PyLogicalType
    
    def __init__(self, id: str, name: str, dtype: PyDataType, logical_type: PyLogicalType) -> None: ...

def add(a: int, b: int) -> int: ...
def make_series() -> Any: ...
def make_df() -> pl.DataFrame: ...
def make_custom_df(schema: list[PyColumnSchema], rows: int) -> pl.DataFrame: ...